[Epic] Wikidata changes in article history
Open, HighPublic

"Like" token, awarded by Liuxinyu970226."Like" token, awarded by Fanchb29."Pterodactyl" token, awarded by ThierryCaro."Evil Spooky Haunted Tree" token, awarded by 0x010C."Like" token, awarded by Thibaut120094."The World Burns" token, awarded by Reaper35.
Assigned To
Authored By
aude, Sep 19 2012


On the client, we need to include Wikidata changes (e.g. changing language links) in the action=history for articles.

User script that does it for now: https://fr.wikipedia.org/wiki/Utilisateur:H4stings/wef-history.js


bzimport raised the priority of this task from to High.
bzimport set Reference to bz40358.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Sep 19 2012, 1:09 PM

Do we?

After Wikidata was enabled on pl.wiki, I've heard users complaining about WD edits showing up on their watchlist, because – quoting – "it's an external project, not the Wikipedia, it's just clutter".

I'm certain that the response to WD edits appearing in article histories would be extremely negative.

Tgr added a comment.Mar 9 2013, 11:25 AM

Changing language links is maybe not the best example, but a Wikidata edit that changes a value in the infobox should definitely be visible in the article history. The best would be if changes would only be visible for properties which are actually queried in the article, but I suppose that would break with more complex use cases like conditional templates and Lua.

Maybe external changes affecting the article could be shown on a separate history tab/special page?

  • Bug 49211 has been marked as a duplicate of this bug. ***
  • Bug 50503 has been marked as a duplicate of this bug. ***
  • Bug 59110 has been marked as a duplicate of this bug. ***
SJu added a comment.Dec 31 2013, 2:31 PM

(In reply to comment #2)

Changing language links is maybe not the best example

Maybe external changes affecting the article could be shown on a separate
history tab/special page?

Especially when the page is removed from Wikidata item (thus all interwikis and the original Wikidata link dissappear from the Wikipedia page), the change and the lost interwikis should be findable through the history of the Wikipedia page and the lost relation should not disappear without any trace (as long as the Wikidata page is joined with the Wikipedia page, the history is available from Wikipedia page through the Wikidata link).

The Wikidata logs can be filterable at the history page and users to have a simple swich of the filter (as they really can at the recent changes and watchlist).

The property changes are relevant to the content of the Wikipedia page but they can be hardly displayed through "compare revisions" function. This problem is very similar to the long-time problem that changes of used templates are also not displayed at the history page and that the old versions are not able to reconstruct the contemporary content of the templates.

SJu added a comment.Jan 5 2014, 6:24 PM

Bug 59690 - special case of lost Wikidata items.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
KTC added a subscriber: KTC.Dec 13 2014, 9:20 PM

If an article is in my watchlist, then any property change that affects how that article is shown, should show up in my watchlist.
This includes properties from other items, included using {{#property:P36|from=Q183}}.
On the opposite, changes to properties that are not used in the article, and changes to labels, should not show up.

This is a very important issue. At Wikivoyage we use Wikidata a lot, and in some proof-of-concept places more than half of the information is actually stored on Wikidata. Some editors want to back out from using Wikidata because of this watchlist issue.

daniel added a subscriber: daniel.May 26 2015, 8:56 AM

@Nicolas_Raoul: for the watchlist, this should already work exactly as you described. If it does not, please file a separate ticket about that.

Note that internally, the watchlist does not use the page history, but the recentchanges log. So it really shows events, not revisions. To the user, this doesn't make any difference. But it means we have to implement this integration twice, in rather different ways. Watchlist integration was implemented a long time ago, and as far as I know, it works fine. Integration with the page history is not implemented yet.

aude renamed this task from Wikidata changes in article history to [Epic] Wikidata changes in article history.Aug 13 2015, 1:30 PM
aude set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2015, 1:30 PM
aude added a comment.Aug 13 2015, 1:35 PM

agree with Nicolas_Raoul that any changes we include / integrate with article history (and ideally watchlist and recent changes) are only those that directly affect the article content.

(e.g. {{#property:P17}} is used on the Berlin article on enwiki, the connected item has the value [[Q183]] and the English label of Q183 is changed or the value is changed to another item or removed)

usage tracking will help with us being able to do better filtering.

Simon_Villeneuve added a comment.EditedAug 30 2015, 12:50 PM

There is about 100 000 infobox now using Wikidata entries on French Wikipedia and this issue seems to be the main one for the "I don't want Wikidata on Wikipedia" peoples : https://fr.wikipedia.org/wiki/Discussion_Projet:Wikidata#Visibilit.C3.A9_des_modifications_de_Wikidata_dans_l.27historique_des_modifications_d.27une_page_Wikip.C3.A9dia

Do someone is working on it seriously ?

0x010C added a subscriber: 0x010C.Aug 30 2015, 2:02 PM
ThierryCaro added a subscriber: ThierryCaro.
Ash_Crow added a comment.EditedSep 7 2015, 11:05 AM

I do not think this is a good idea to log changes made on Wikidata in the history of the articles themselves.

First, it would register a change when the code of the article stays the same, which makes little sense. And secondly, it would be inconsistent with the way we handle other transcluded content (images, templates, other pages): we don't report changes made on them in the history of the articles in wich they appear. Doing this would IMHO clutter history pages very quickly.

Oliv0 added a subscriber: Oliv0.Oct 15 2015, 8:36 AM
matej_suchanek added a project: Epic.
matej_suchanek removed a subscriber: Wikidata-bugs.

Hi, I was thinking: would it be possible to have a distinct 'super-history' page that includes the changes made to all transcluded content (templates, data from WD, transcluded articles, images (both local and from Commons), without cluttering the normal history page?

Definitely something worth exploring!

Fanchb29 added a subscriber: Fanchb29.
Nemo_bis closed this task as Resolved.Mar 1 2016, 9:29 AM
Nemo_bis added a subscriber: Nemo_bis.

With the experience that the Wikidata team got working on T9148, this is hopefully easier now? :)

Lydia_Pintscher reopened this task as Open.Mar 1 2016, 9:33 AM

The Wikidata team didn't work on that ticket. TCB did :)
I don't think this is a good project for GSoC and co at this time.

Fyi, I have tried to code a script to do the job. It should work on every wikipedia, I think. Here it is : https://fr.wikipedia.org/wiki/Utilisateur:H4stings/wef-history.js

Do not hesitate to try and improve it. ;-)

Thank you! I'll send a note to project chat and mailing list.

WTM added a subscriber: WTM.Jun 20 2016, 6:06 PM
Oliv0 added a comment.Nov 23 2016, 9:50 AM

I proposed this task for the 2016 Community Wishlist Survey, do not hesitate to improve and develop the formulation there.

Just noting that this will be an extra helpful precaution against potential vandalism arising from wikidata description editing in Android app for communities with app usage, but not a lot of wikidata usage.

More on that project here:

and work tracked here:

Liuxinyu970226 awarded a token.
Elitre added a subscriber: Elitre.Sep 28 2017, 7:40 PM